curl --request PUT \
--url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/channels/{workforce}/{provider} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {},
"enabled": true
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/channels/{workforce}/{provider}"
payload = {
"credentials": {},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credentials: {}, enabled: true})
};
fetch('https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/channels/{workforce}/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
nullUpsert Channel
Connect or update a messaging channel binding. Upserts on (workforce, provider); credentials is write-only — omit to keep the stored secrets, null to clear them, an object to replace them.
nullAuthorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Workforce component ref: manifest uid (canonical), numeric app id, or name — the server canonicalizes to the manifest uid.
Channel provider key (for example telegram, slack).
Body
Body of PUT .../channels/{workforce}/{provider} (upsert one binding).
Provider secrets, write-only (never returned on any read). Omit to
keep the stored credentials for this binding; null clears them; an
object replaces them. Telegram: token (+ optional secret_token).
Slack: bot_token + signing_secret.
Show child attributes
Show child attributes
Soft toggle; defaults to true.
Response
Channel binding saved